CREATE TABLE ben_ent_abs_attendns_typs (
    BEN_ENT_ABS_ATT_TYP_ID        NUMBER(18, 0),
    ENTITLEMENT_ID                NUMBER(18, 0)    NOT NULL,
    ABSENCE_ATTENDANCE_TYPE_ID    NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    BEN_ENT_ABS_ATT_TYP_ID        NUMBER(18, 0),
    ENTITLEMENT_ID                NUMBER(18, 0)    NOT NULL,
    ABSENCE_ATTENDANCE_TYPE_ID    NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_ent_abs_attendns_typs PRIMARY KEY (BEN_ENT_ABS_ATT_TYP_ID, BEN_ENT_ABS_ATT_TYP_ID)
);
